------------------------------------------------------------------------
r45265 | gerald | 2012-10-02 12:47:19 -0700 (Tue, 02 Oct 2012) | 2 lines
Changed paths:
   M /trunk-1.6/ChangeLog

Prep for 1.6.12.

------------------------------------------------------------------------
r45322 | gerald | 2012-10-04 12:36:34 -0700 (Thu, 04 Oct 2012) | 3 lines
Changed paths:
   M /trunk-1.6/Makefile.am

Add a "patch-bzip2" target which creates a patch from the previous micro
release.

------------------------------------------------------------------------
r45326 | gerald | 2012-10-04 15:51:00 -0700 (Thu, 04 Oct 2012) | 2 lines
Changed paths:
   M /trunk-1.6/Makefile.am

Remove the previous distribution file.

------------------------------------------------------------------------
r45349 | jake | 2012-10-06 09:21:53 -0700 (Sat, 06 Oct 2012) | 7 lines
Changed paths:
   M /trunk-1.6/epan/emem.c
   M /trunk-1.6/epan/emem.h

------------------------------------------------------------------------
r45340 | jake | 2012-10-06 16:35:59 +0200 (Sat, 06 Oct 2012) | 2 lines

Vastly improve the debug presentation( of trees)+. 

------------------------------------------------------------------------

------------------------------------------------------------------------
r45357 | jake | 2012-10-06 14:55:05 -0700 (Sat, 06 Oct 2012) | 4 lines
Changed paths:
   M /trunk-1.6/epan/emem.c

Fix for bug 7804:
Have se_tree_lookup32_array_le() work through all of the search vector, 
don't bail out at a less than match.

------------------------------------------------------------------------
r45366 | gerald | 2012-10-07 08:04:17 -0700 (Sun, 07 Oct 2012) | 1 line
Changed paths:
   M /trunk-1.6/epan/enterprise-numbers
   M /trunk-1.6/manuf
   M /trunk-1.6/services

[Automatic manuf, services and enterprise-numbers update for 2012-10-07]
------------------------------------------------------------------------
r45461 | guy | 2012-10-10 19:18:36 -0700 (Wed, 10 Oct 2012) | 17 lines
Changed paths:
   M /trunk-1.6/epan/dissectors/packet-icmpv6.c

Copy over r54549 from trunk:

  r45459 | guy | 2012-10-10 17:02:14 -0700 (Wed, 10 Oct 2012) | 13 lines

  The usual idiom in C for "do this N times" is "for (i = 0; i < N; i++)",
  not "for (i = 1; i < N+1; i++)".

  Even if it weren't the idiom, it'd be safer, at least for unsigned
  values, as, if i and N are the same width, and N has the maximum
  possible value for that width, the first of those runs i from 0 to N-1,
  all of which fit in a variable of that width, and the second of those
  runs i from 1 to N, the latter of which doesn't fit into a variable of
  that width, so modulo arithmetic turns it into 0 and the loop keeps
  running forever.

  Fixes bug 7844.

------------------------------------------------------------------------
r45466 | guy | 2012-10-11 01:29:46 -0700 (Thu, 11 Oct 2012) | 18 lines
Changed paths:
   M /trunk-1.6/epan/dissectors/packet-isup.c

Copy over changes from trunk:

  ------------------------------------------------------------------------
  r45464 | guy | 2012-10-11 01:23:29 -0700 (Thu, 11 Oct 2012) | 4 lines

  hf_isup_cic is now BASE_DEC, so there's no reason to use
  proto_tree_add_uint_format() to make it display in decimal -
  proto_tree_add_uint() suffices.
  ------------------------------------------------------------------------
  r45463 | etxrab | 2012-10-11 01:12:41 -0700 (Thu, 11 Oct 2012) | 4 lines

  "Prepare/Apply a filter" on ISUP CIC should make a filter with decimal
  CIC number, not hex.


  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7848
------------------------------------------------------------------------

------------------------------------------------------------------------
r45488 | wmeier | 2012-10-11 14:09:46 -0700 (Thu, 11 Oct 2012) | 23 lines
Changed paths:
   M /trunk-1.6/epan/dissectors/packet-ndps.c

Copy over from trunk

------------------------------------------------------------------------
r45486 | wmeier | 2012-10-11 17:01:51 -0400 (Thu, 11 Oct 2012) | 2 lines

Correction to SVN #45476

------------------------------------------------------------------------
r45476 | wmeier | 2012-10-11 15:14:29 -0400 (Thu, 11 Oct 2012) | 12 lines

Change 'for (i=1; i<=n;...' to 'for (i=0; i<n; ...)'.

The changes fix possibly problematical cases
 (not clear upon quick inspection).

Also: fix several bugs wherein an inner 'for' loop used
the same index variable name as an outer loop thus
messing up the outerloop.

##backport

------------------------------------------------------------------------

------------------------------------------------------------------------
r45493 | wmeier | 2012-10-11 15:16:32 -0700 (Thu, 11 Oct 2012) | 19 lines
Changed paths:
   M /trunk-1.6/epan/dissectors/packet-dmp.c
   M /trunk-1.6/epan/dissectors/packet-dua.c
   M /trunk-1.6/epan/dissectors/packet-fmp.c
   M /trunk-1.6/epan/dissectors/packet-fmp_notify.c
   M /trunk-1.6/epan/dissectors/packet-icmpv6.c
   M /trunk-1.6/epan/dissectors/packet-ieee80211.c
   M /trunk-1.6/epan/dissectors/packet-m3ua.c
   M /trunk-1.6/epan/dissectors/packet-mongo.c
   M /trunk-1.6/epan/dissectors/packet-ptp.c
   M /trunk-1.6/epan/dissectors/packet-vnc.c

Copy over from trunk (with manual intervention)

------------------------------------------------------------------------
r45477 | wmeier | 2012-10-11 15:20:21 -0400 (Thu, 11 Oct 2012) | 11 lines

Change 'for (i=1; i<=n;...' to 'for (i=0; i<n; ...)

The changes fix definite problems or
are done "just in case" for cases not esily determined
to be a problem by quick inspection.

Note: in some cases for loop index variables have been renamed
      to ensure  all required codes changes detected.

##backport

------------------------------------------------------------------------


------------------------------------------------------------------------
r45502 | wmeier | 2012-10-12 12:35:07 -0700 (Fri, 12 Oct 2012) | 9 lines
Changed paths:
   M /trunk-1.6/epan/dissectors/packet-fmp_notify.c

Copy over from trunk

------------------------------------------------------------------------
r45500 | wmeier | 2012-10-12 14:31:31 -0400 (Fri, 12 Oct 2012) | 2 lines

Fix (what appears to be) a minor "off by one" bug in 'for' loop.

------------------------------------------------------------------------

------------------------------------------------------------------------
r45506 | guy | 2012-10-12 13:52:47 -0700 (Fri, 12 Oct 2012) | 17 lines
Changed paths:
   M /trunk-1.6/wiretap/commview.c

Copy over r45504 from trunk:

  ------------------------------------------------------------------------
  r45504 | guy | 2012-10-12 13:51:04 -0700 (Fri, 12 Oct 2012) | 14 lines

  The "rate" field in the CommView NCF format is 1 byte long, not 2 bytes
  long; that means we read only one byte into our structure, so make its
  "rate" element one byte long, so we don't fill in half the "rate"
  element with the read - and the *wrong* half on big-endian machines -
  and leave the other half un-set and thus containing some random possibly
  non-zero data.

  In addition, that's not the full data rate for faster networks; for
  Wi-Fi, the one-byte "direction" field is actually the upper 8 bits of
  the data rate, so combine them when we fill in the data rate in the
  pseudo-header.

------------------------------------------------------------------------
r45509 | guy | 2012-10-12 14:01:08 -0700 (Fri, 12 Oct 2012) | 9 lines
Changed paths:
   M /trunk-1.6/wiretap/commview.c

Copy over r45507 from trunk:

  ------------------------------------------------------------------------
  r45507 | guy | 2012-10-12 13:59:08 -0700 (Fri, 12 Oct 2012) | 4 lines

  And that also means that we need to split the data rate from the
  pseudo-header into two bytes and fill in both the rate and direction
  fields when writing CommView NCF files out.

------------------------------------------------------------------------
r45512 | guy | 2012-10-12 14:52:21 -0700 (Fri, 12 Oct 2012) | 3 lines
Changed paths:
   M /trunk-1.6/wiretap/commview.c

Oops, the pseudo-header in 1.6.x has an 8-bit data rate field and can't
handle data rates > 127.5 Mb/s; back out those changes.

------------------------------------------------------------------------
r45533 | gerald | 2012-10-14 08:04:55 -0700 (Sun, 14 Oct 2012) | 1 line
Changed paths:
   M /trunk-1.6/epan/enterprise-numbers
   M /trunk-1.6/manuf
   M /trunk-1.6/services

[Automatic manuf, services and enterprise-numbers update for 2012-10-14]
------------------------------------------------------------------------
r45547 | guy | 2012-10-14 15:47:49 -0700 (Sun, 14 Oct 2012) | 33 lines
Changed paths:
   M /trunk-1.6/epan/dissectors/packet-ieee80211.c

Copy over r45545 from trunk, with manual intervention:

  ------------------------------------------------------------------------
  r45545 | guy | 2012-10-14 15:38:58 -0700 (Sun, 14 Oct 2012) | 28 lines

  According to

	http://home.martin.cc/linux/prism

  there's a set of DID type values different from the ones we were using,
  and there are captures out there that use values from both sets. 
  Support both sets.

  That page also says that a "status" value of 0 means "supplied"; treat
  zero as meaning "supplied", and, if it's not zero for a field, don't
  include it.

  The "Mac Time" is, according to that page, the lower 32 bits of the MAC
  timestamp; report it as such.

  Fix some field names that were copied-and-pasted but not changed.

  The RSSI and signal quality values are numbers, so show them in decimal.

  The "signal" and "noise" values appear to be signed numbers, so make
  them signed rather than unsigned and show them in decimal.

  Show the data rate in the same style as it's shown in the radiotap
  dissector.

  Show the frame length in decimal; we probably have relatively few users
  with 16 fingers.

------------------------------------------------------------------------
r45550 | guy | 2012-10-14 15:57:49 -0700 (Sun, 14 Oct 2012) | 19 lines
Changed paths:
   M /trunk-1.6/epan/dissectors/packet-iscsi.c

Copy over revisions from trunk:

  ------------------------------------------------------------------------
  r45548 | guy | 2012-10-14 15:53:25 -0700 (Sun, 14 Oct 2012) | 2 lines

  Clean up the "round up to a multiple of 4" code a bit.

  ------------------------------------------------------------------------
  r45524 | eapache | 2012-10-13 15:12:52 -0700 (Sat, 13 Oct 2012) | 9 lines

  Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7858

  Use a full 32-bit literal instead of just a 16-bit one. Fixes case where
  the value we're &-ing with just slips over 2^16, making us get stuck
  in an infinite loop.

  I'm not sure this matches the iscsi spec anymore, the comment in the code
  about padding bytes is ambiguous as to whether they're leading or trailing.

------------------------------------------------------------------------
r45611 | guy | 2012-10-16 18:31:35 -0700 (Tue, 16 Oct 2012) | 18 lines
Changed paths:
   M /trunk-1.6/epan/dissectors/packet-ieee80211.c

Copy over r45609 from trunk, with manual intervention:

  ------------------------------------------------------------------------
  r45609 | guy | 2012-10-16 18:23:13 -0700 (Tue, 16 Oct 2012) | 13 lines

  The first 4 bytes of the Prism header are, apparently, a "message code",
  and it apparently either has the value 0x00000044 or 0x00000041.  If
  those bytes aren't the magic number for an AVS header and aren't one of
  those "message code" values, assume there's no Prism header, just an
  802.11 frame - that fixes at least one capture where some packets have
  AVS radio headers and other packets have no radio header.

  Note that this might also let us handle big-endian Prism headers (see
  which byte order the message code is in, and assume everything else is
  in the same byte order).

  Display the message code in hex, not decimal.

------------------------------------------------------------------------
r45624 | guy | 2012-10-17 14:38:34 -0700 (Wed, 17 Oct 2012) | 7 lines
Changed paths:
   M /trunk-1.6/file.c

Copy over r45621 from trunk:

  ------------------------------------------------------------------------
  r45621 | darkjames | 2012-10-17 14:14:14 -0700 (Wed, 17 Oct 2012) | 2 lines

  Only cap_len (not pkt_len) bytes of buffer are valid.

------------------------------------------------------------------------
r45688 | gerald | 2012-10-21 08:04:18 -0700 (Sun, 21 Oct 2012) | 1 line
Changed paths:
   M /trunk-1.6/epan/enterprise-numbers
   M /trunk-1.6/manuf
   M /trunk-1.6/services

[Automatic manuf, services and enterprise-numbers update for 2012-10-21]
------------------------------------------------------------------------
r45817 | gerald | 2012-10-28 08:04:27 -0700 (Sun, 28 Oct 2012) | 1 line
Changed paths:
   M /trunk-1.6/epan/enterprise-numbers
   M /trunk-1.6/manuf
   M /trunk-1.6/services

[Automatic manuf, services and enterprise-numbers update for 2012-10-28]
------------------------------------------------------------------------
r45898 | gerald | 2012-11-04 08:05:20 -0800 (Sun, 04 Nov 2012) | 1 line
Changed paths:
   M /trunk-1.6/epan/enterprise-numbers
   M /trunk-1.6/manuf
   M /trunk-1.6/services

[Automatic manuf, services and enterprise-numbers update for 2012-11-04]
------------------------------------------------------------------------
r45999 | gerald | 2012-11-11 08:04:51 -0800 (Sun, 11 Nov 2012) | 1 line
Changed paths:
   M /trunk-1.6/epan/enterprise-numbers
   M /trunk-1.6/services

[Automatic manuf, services and enterprise-numbers update for 2012-11-11]
------------------------------------------------------------------------
r46073 | gerald | 2012-11-18 08:04:32 -0800 (Sun, 18 Nov 2012) | 1 line
Changed paths:
   M /trunk-1.6/epan/enterprise-numbers
   M /trunk-1.6/manuf
   M /trunk-1.6/services

[Automatic manuf, services and enterprise-numbers update for 2012-11-18]
------------------------------------------------------------------------
r46101 | wmeier | 2012-11-20 16:57:37 -0800 (Tue, 20 Nov 2012) | 10 lines
Changed paths:
   M /trunk-1.6/epan/dissectors/packet-ipv6.c

Copy over from trunk:
------------------------------------------------------------------------
r46098 | wmeier | 2012-11-20 19:41:32 -0500 (Tue, 20 Nov 2012) | 4 lines

From Stephen Tarr: Fix 'misspelling (typo) in display filter field name'.
ipv6.framgent --> ipv6.fragment
#BACKPORT

------------------------------------------------------------------------

------------------------------------------------------------------------
r46180 | gerald | 2012-11-25 08:04:34 -0800 (Sun, 25 Nov 2012) | 1 line
Changed paths:
   M /trunk-1.6/epan/enterprise-numbers
   M /trunk-1.6/manuf
   M /trunk-1.6/services

[Automatic manuf, services and enterprise-numbers update for 2012-11-25]
------------------------------------------------------------------------
r46225 | gerald | 2012-11-27 09:05:37 -0800 (Tue, 27 Nov 2012) | 21 lines
Changed paths:
   M /trunk-1.6/docbook/release-notes.xml
   M /trunk-1.6/epan/dissectors/packet-usb.c

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r45310 | martink | 2012-10-04 08:37:38 -0700 (Thu, 04 Oct 2012) | 10 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-usb.c

  try to fix usb-related fuzz test crashes

  in dissect_usb_interface_descriptor() and
  dissect_usb_endpoint_descriptor, the offset should be incremented
  depending on the number of bytes we dissected, not based on the len
  field (len field==0 would then cause an endless loop)

  also fixed one occurrence of old_offset-offset, that's probably a typo,
  the values will always be negative...
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r46226 | gerald | 2012-11-27 09:08:10 -0800 (Tue, 27 Nov 2012) | 2 lines
Changed paths:
   M /trunk-1.6/doc/make-authors-format.pl
   M /trunk-1.6/doc/make-authors-short.pl
   M /trunk-1.6/doc/perlnoutf.pl
   M /trunk-1.6/epan/dissectors/packet-agentx.c
   M /trunk-1.6/epan/dissectors/packet-artnet.c
   M /trunk-1.6/epan/dissectors/packet-cisco-sm.c
   M /trunk-1.6/epan/dissectors/packet-classicstun.c
   M /trunk-1.6/epan/dissectors/packet-enttec.c
   M /trunk-1.6/epan/dissectors/packet-infiniband.c
   M /trunk-1.6/epan/dissectors/packet-infiniband.h
   M /trunk-1.6/epan/dissectors/packet-lwres.c
   M /trunk-1.6/epan/dissectors/packet-opsi.c
   M /trunk-1.6/epan/dissectors/packet-pcli.c
   M /trunk-1.6/epan/dissectors/packet-rlm.c
   M /trunk-1.6/epan/dissectors/packet-rtnet.c
   M /trunk-1.6/epan/dissectors/packet-rudp.c
   M /trunk-1.6/epan/dissectors/packet-sbus.c
   M /trunk-1.6/epan/dissectors/packet-stun.c
   M /trunk-1.6/epan/dissectors/packet-v5ua.c
   M /trunk-1.6/tools/ncp2222.py
   M /trunk-1.6/tools/process-x11-fields.pl
   M /trunk-1.6/tools/process-x11-xcb.pl
   M /trunk-1.6/tools/svnadd
   M /trunk-1.6/wiretap/ascend.y
   M /trunk-1.6/wiretap/ascend_scanner.l
   M /trunk-1.6/wiretap/ascendtext.c
   M /trunk-1.6/wiretap/ascendtext.h

Remove a bunch of svn:mergeinfo properties.

------------------------------------------------------------------------
r46227 | gerald | 2012-11-27 09:20:27 -0800 (Tue, 27 Nov 2012) | 32 lines
Changed paths:
   M /trunk-1.6
   M /trunk-1.6/docbook/release-notes.xml
   M /trunk-1.6/epan/dissectors/packet-usb.c

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r45742 | martink | 2012-10-23 14:02:28 -0700 (Tue, 23 Oct 2012) | 6 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-usb.c

  From Steve Magnani

  fix USB descriptor parsing

  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7909
  ------------------------------------------------------------------------


Copy over with manual intervention:

  ------------------------------------------------------------------------
  r45339 | eapache | 2012-10-06 07:23:44 -0700 (Sat, 06 Oct 2012) | 5 lines
  Changed paths:
     M /trunk
     M /trunk/epan/dissectors/packet-usb.c

  Fix error caught by valgrind where we were running off the end of a
  variable because we were passing the address of a single guint8 as a
  char*. Work around it by making the guint8 an array and filling the last
  element with 0 as if it were a null-terminated string.
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r46228 | gerald | 2012-11-27 09:23:20 -0800 (Tue, 27 Nov 2012) | 13 lines
Changed paths:
   M /trunk-1.6
   M /trunk-1.6/docbook/release-notes.xml
   M /trunk-1.6/epan/dissectors/packet-isakmp.c

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r45510 | pascal | 2012-10-12 14:06:27 -0700 (Fri, 12 Oct 2012) | 2 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-isakmp.c

  Do not use private_data from caller dissector as IKEv2 decryption parameters
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r46229 | gerald | 2012-11-27 09:26:42 -0800 (Tue, 27 Nov 2012) | 16 lines
Changed paths:
   M /trunk-1.6
   M /trunk-1.6/docbook/release-notes.xml
   M /trunk-1.6/epan/dissectors/packet-wtp.c

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r45614 | martink | 2012-10-17 00:44:33 -0700 (Wed, 17 Oct 2012) | 5 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-wtp.c

  fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7869

  make tpiLen a guint such that it can store 2 + tvb_get_guint8(...)
  without overflow
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r46230 | gerald | 2012-11-27 09:42:23 -0800 (Tue, 27 Nov 2012) | 14 lines
Changed paths:
   M /trunk-1.6/docbook/release-notes.xml
   M /trunk-1.6/epan/dissectors/packet-rtcp.c

Copy over with manual intervention:

  ------------------------------------------------------------------------
  r45717 | cmaynard | 2012-10-22 09:22:21 -0700 (Mon, 22 Oct 2012) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-rtcp.c

  Avoid potential infinite loops.  Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7879
  #BACKPORT (1.8, 1.6)
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r46231 | gerald | 2012-11-27 10:00:37 -0800 (Tue, 27 Nov 2012) | 50 lines
Changed paths:
   M /trunk-1.6
   M /trunk-1.6/docbook/release-notes.xml
   M /trunk-1.6/epan/radius_dict.l

Copy over fixes for bug 7803 from the trunk:

  ------------------------------------------------------------------------
  r45354 | eapache | 2012-10-06 13:47:35 -0700 (Sat, 06 Oct 2012) | 6 lines
  Changed paths:
     M /trunk
     M /trunk/epan/radius_dict.l

  Work around bug 7803 by not freeing the old name value until after it's been
  replaced in the key-set of the hash table. This doesn't really provide proper
  behaviour, it just stops us from accessing freed memory.

  Also, add modelines.
  ------------------------------------------------------------------------
  r45359 | eapache | 2012-10-06 16:56:56 -0700 (Sat, 06 Oct 2012) | 6 lines
  Changed paths:
     M /trunk
     M /trunk/epan/radius_dict.l

  Clean up better if we can't open a radius dictionary included by another
  radius dictionary. One of many issues with the way we load radius
  dictionaries.

  Part of https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7803
  ------------------------------------------------------------------------
  r45360 | eapache | 2012-10-06 17:06:21 -0700 (Sat, 06 Oct 2012) | 7 lines
  Changed paths:
     M /trunk
     M /trunk/epan/radius_dict.l

  Don't destroy the in-memory radius dictionary if we hit a parse error:
   - If it's something as simple as a missing $INCLUDE then we probably still want
   whatever we could parse
   - We weren't doing it consistently anyways
   - There were a whole bunch of places where we were using it regardless of
   whether or not the parse failed, leading to read-after-free errors.
  ------------------------------------------------------------------------
  r45361 | eapache | 2012-10-06 18:15:16 -0700 (Sat, 06 Oct 2012) | 4 lines
  Changed paths:
     M /trunk
     M /trunk/epan/radius_dict.l

  Clean up properly when we can't find a radius $INCLUDE regardless of the
  state of errno. Don't treat it as a fatal parse error because it isn't,
  so we keep parsing the rest of the dictionaries even if one is missing.
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r46232 | gerald | 2012-11-27 10:15:23 -0800 (Tue, 27 Nov 2012) | 51 lines
Changed paths:
   M /trunk-1.6
   M /trunk-1.6/docbook/release-notes.xml
   M /trunk-1.6/epan/dissectors/packet-ieee80211.c
   M /trunk-1.6/epan/dissectors/packet-ieee802154.c
   M /trunk-1.6/epan/dissectors/packet-smb2.c
   M /trunk-1.6/gtk/color_edit_dlg.c
   M /trunk-1.6/gtk/gui_utils.c
   M /trunk-1.6/print.ps

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r45321 | jake | 2012-10-04 12:30:15 -0700 (Thu, 04 Oct 2012) | 2 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-ieee80211.c

  From Sven Eckelmann:
  Fix dissection of IEEE 802.11 Channel Switch Announcement element.
  ------------------------------------------------------------------------
  r45559 | etxrab | 2012-10-15 08:59:47 -0700 (Mon, 15 Oct 2012) | 5 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-ieee802154.c

  From Rakesh Kumar:
  Error in AUXILIARY SECURITY HEADER Parsing for 802.15.4 in dissect_ieee802154_common function.
  Offset should be +8 not +4

  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7864
  ------------------------------------------------------------------------
  r45660 | cmaynard | 2012-10-19 11:05:02 -0700 (Fri, 19 Oct 2012) | 3 lines
  Changed paths:
     M /trunk/print.ps

  Add back the "%!" removed in r33773; otherwise, for some unknown reason, only 1 page will be viewable.  (Tested w/gsview 5.0 and ghostscript 9.06)
  #BACKPORT(1.8, 1.6)
  ------------------------------------------------------------------------


Copy over with manual intervention:

  ------------------------------------------------------------------------
  r45331 | cmaynard | 2012-10-05 07:51:31 -0700 (Fri, 05 Oct 2012) | 2 lines
  Changed paths:
     M /trunk/ui/gtk/gui_utils.c

  A minor modification to Stephen Fisher's r34265 patch to [attempt to] resolve bug 553.  This change takes into account that viewable_area.[x|y] may not be 0,0.  Will this finally fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=553 ?Unknown, but I am unable to reproduce it.
  ------------------------------------------------------------------------
  r45820 | martink | 2012-10-28 12:13:54 -0700 (Sun, 28 Oct 2012) | 6 lines
  Changed paths:
     M /trunk/ui/gtk/color_edit_dlg.c

  fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7913

  When we create a new color filter, we prepend the color filter list with
  a default entry and launch an edit dialogue. If the user cancels, we
  have to remove this _first_ entry from the list (not the last one).
  ------------------------------------------------------------------------

Update the release notes.

------------------------------------------------------------------------
r46233 | gerald | 2012-11-27 10:19:47 -0800 (Tue, 27 Nov 2012) | 26 lines
Changed paths:
   M /trunk-1.6
   M /trunk-1.6/docbook/release-notes.xml
   M /trunk-1.6/epan/dissectors/packet-tpncp.c

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r46003 | eapache | 2012-11-11 12:29:06 -0800 (Sun, 11 Nov 2012) | 7 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-tpncp.c

  Fix part of https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6665

  Make sure the array of names is always null-terminated, even if we have
  enough names to fill the entire thing. Also use a gboolean instead of a
  gint for one variable.
  ------------------------------------------------------------------------
  r46004 | eapache | 2012-11-11 12:54:12 -0800 (Sun, 11 Nov 2012) | 5 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-tpncp.c

  Fix the rest of https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6665

  Catch exceptions thrown while registering the dynamically generated tpncp
  fields, and take that as a hint that the .dat file is corrupt.
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r46234 | gerald | 2012-11-27 10:37:46 -0800 (Tue, 27 Nov 2012) | 13 lines
Changed paths:
   M /trunk-1.6/docbook/release-notes.xml
   M /trunk-1.6/gtk/sctp_stat.c

Copy over r46153 with manual intervention:

  ------------------------------------------------------------------------
  r46153 | ruengeler | 2012-11-23 05:16:04 -0800 (Fri, 23 Nov 2012) | 2 lines
  Changed paths:
     M /trunk/ui/gtk/sctp_stat.c

  Fix bug reported in https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8011
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
